List the digital files of one of your listings
GET
/listings/{listing_id}/assets
const url = 'https://acme.mykreezalid.com/front_api/v1/listings/4242/assets';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/front_api/v1/listings/4242/assets \ --header 'Authorization: Bearer <token>'Returns the downloadable files delivered to buyers of a listing of the signed-in member.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”listing_id
required
integer
Listing ID.
Example
4242Responses
Section titled “Responses”The files of the listing.
Media typeapplication/json
object
assets
Array<object>
A digital file delivered to buyers of a listing.
object
id
integer
listing_id
integer
variant_id
Variant the file belongs to, or null for the whole listing.
integer
filename
string
download_url
Download link of the file.
string
file_size
Size in bytes.
integer
file_type
Media type of the file.
string
Example
{ "assets": [ { "id": 702, "listing_id": 4242, "filename": "ebook.pdf", "file_size": 1048576, "file_type": "application/pdf" } ]}No valid access token was sent (JSON error body), or the listing belongs to another member (plain-text body You are not allowed to access this resource).
No listing with this ID.